IntelliJ プラットフォーム SDK プラグイン開発ガイド

ページを編集 (英語)

IntelliJプラットフォームとプラグインAPIの互換性のない変更

IntelliJ APIはリリース間で変更されることがあり、既存のプラグインと新しいIDEビルドとの非互換性が生じる可能性があります。

内蔵のプラグイン検証(英語)を使用して、JetBrainsプラグインリポジトリでホストされるプラグインの新しいIDEとの互換性を簡単に確認できます。

非公開プラグインの場合、intellij-plugin-verifier(英語)もスタンドアロンで使用できます。

次のIDE インスペクションを使用して、不安定なAPI機能を使用するコードに関する追加のアラートを取得することを検討してください。

  • JVM 言語 | 不安定な API の使用
  • JVM 言語 | 不安定なタイプが署名で使用されています

次のページに、プラグインの作成者が実行する必要がある/推奨される手順を含むIDE /プラグインリリースの重大な変更点を示します。

最終更新日: